### Method

# Ggit CherryPickOptions set_mainline

#### Declaration [src]

    void
    ggit_cherry_pick_options_set_mainline (
      GgitCherryPickOptions* options,
      guint mainline
    )

#### Description [src]

Set the mainline parent to use when cherry-picking a merge commit.

Sets property | `Ggit.CherryPickOptions:mainline`

#### Parameters

`mainline`

  Type: `guint`

  The mainline parent.